package com.compdfkit.docseditor;

import androidx.constraintlayout.widget.ConstraintSet;

import com.compdfkit.docseditor.databinding.ActivityMainBinding;
import com.compdfkit.tools.common.utils.animation.CFillScreenManager;
import com.compdfkit.tools.common.utils.animation.ConstraintSetUtils;

public class CPageEditSampleScreenManager {

    private ActivityMainBinding binding;
    private CFillScreenManager fillScreenManager = new CFillScreenManager();

    private boolean isFillScreen;

    private ConstraintSet constraintSet = new ConstraintSet();

    private ConstraintSetUtils constraintSetUtils = new ConstraintSetUtils();

    private CFillScreenManager manager = new CFillScreenManager();

    public void bind(ActivityMainBinding mainBinding){
        this.binding = mainBinding;
        constraintSet.clone(binding.getRoot());
        manager.bindRightToolViewList(binding.pdfView.slideBar);
        manager.bindBottomToolViewList(binding.pdfView.indicatorView);
    }

    public void fillScreenChange() {
        manager.fillScreenChange(!isFillScreen);
        if (!isFillScreen) {
            //enter full screen
            //hide top toolbar
            constraintSetUtils.hideFromTop(constraintSet, binding.flTool);
            isFillScreen = true;
        } else {
            //enter normal state
            constraintSetUtils.showFromTop(constraintSet, binding.flTool);
            isFillScreen = false;
        }
        constraintSetUtils.apply(constraintSet, binding.getRoot());
    }
}
